Subject: bug#13915: 24.3.50; `font-lock-syntactic-keywords' - really obsolete?

From: Stefan Monnier <[email-masked]>
Date: Mon, 11 Mar 2013 16:43:43 -0400

> No one suggested that you should remove support for it before marking it
> obsolete!  You are right to suppose that I would never have suggested such a
> thing.  So why bring it up as a straw man?

Because the "uses" you seem to see in font-lock.el are just the code
that *implements* font-lock-syntactic-keywords.  None of it *uses* it.
So removing those "uses" would remove support for it.

        Stefan